@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

body {
  background: $color-white;
}

h4,
p {
  line-height: 1.8em;
}

p {
  font-size: 18px;
  margin: 0;
}

.hero-container {
  padding: 80px 100px;
  box-sizing: border-box;
  color: $color-white;
  background: url("/images/feature_page/hero-background-overlay-features-page-v2.jpg") center center no-repeat;
  background-size: cover;
}

.hero-title {
  margin: 0;
  margin-bottom: 20px;
}

.hero-message {
  font-weight: normal;
}

.intro-container {
  padding: 50px 130px 0;
}

.solution-info-container {
  padding: 0 130px;
}

.solution-image-container {
  padding: 130px 0;
}

.solution-image {
  max-height: 400px;
  box-shadow: 0 10px 20px $color-transparent-alt;
  border-radius: $border-radius-large;
}

.solutions-page-wrapper {
  padding-top: 120px;

  .solution-container {
    max-width: 1400px;
    margin: auto;

    .solution-info-container {
      margin: auto;
      padding: 0 340px;
      padding-bottom: 160px;

      h2 {
        font-weight: 600;
        margin-top: 0;
        font-size: 34px;
        margin-bottom: 20px;
      }

      h4 {
        padding: 8px 16px;
        border-radius: $border-radius-large;
        background: $color-gray-extra-light-alt;
        margin-right: auto;
        color: $color-gray;
      }

      img {
        height: 30px;
        max-width: 136px;
        transform: translateY(-3px);
        margin-right: 6px;
      }

      .axway {
        transform: translateY(-5px);
      }

      a {
        margin-top: 40px;
        margin-left: 0;
        width: auto;

        @media all and (max-width: $screen-sm-min) {
          margin-top: 40px;
        }

      }

      @media all and (max-width: $screen-lg-min) {
        padding: 0 160px;
        padding-bottom: 120px;
      }

      @media all and (max-width: $screen-sm-min) {
        padding: 0 20px;
        padding-bottom: 80px;
      }

    }

  }

  @media all and (max-width: $screen-lg-min) {
    padding-top: 80px;
  }

  @media all and (max-width: $screen-sm-min) {
    padding-top: 40px;
  }

}

.solution-container {
  background: $color-white;
}

.solution-container:nth-child(odd) {

  .solution-image {
    margin: auto;
    margin-right: 0;
  }

  .solution-info-container {
    order: 2;
  }

}

.solution-container:nth-child(even) {

  .solution-image {
    margin: auto;
    margin-left: 0;
  }

}

.learn-more {
  padding: 10px;
  padding-left: 0;
  margin-right: auto;
}

.learn-more-arrow {
  height: 14px;
  width: 18px;
  margin-left: 10px;
  opacity: 0;
  transform: translateX(-10px);
  transition: .4s cubic-bezier(0, 0, 0, 1);
}

.learn-more:hover {
  text-decoration: none;

  .learn-more-arrow {
    transform: translateX(0);
    opacity: 1;
  }

}

.solution-no-image {

  .solution-info-container {
    max-width: 600px;
    text-align: center;
    margin: auto;
    padding: 100px 0;
  }

  .learn-more {
    margin: auto;

    .learn-more-arrow {
      display: none;
    }

  }

}

@media screen and (max-width: $screen-lg-min) {

  .solution-container {
    flex-wrap: wrap;
  }

  .solution-container:nth-child(even),
  .solution-container:nth-child(odd) {

    .solution-image {
      margin: auto;
      margin-right: auto;
      margin-left: auto;
    }

  }

  .solution-container:nth-child(odd) {

    .solution-info-container {
      order: 0;
    }

  }

  .solution-info-container {
    padding: 80px;
  }

  .solution-image-container {
    padding: 0;
  }

  .solution-no-image {

    .solution-info-container {
      padding: 20px;
      padding-top: 80px;
    }

  }

}

@media screen and (max-width: $screen-md-min) {

  .solution-info-container {
    padding: 40px 20px;
  }

  .hero-container {
    padding: 80px 40px;
  }

}
